﻿//------------------------------------------------------------
// Copyright (c) Microsoft Corporation.  All rights reserved.
//------------------------------------------------------------

using System;
using System.IO;
using System.Net;
using Microsoft.Office.Tools.Ribbon;
using Microsoft.Office.Interop.Word;

using OfficeSWORD.Common;

namespace WordSWORD
{
    public partial class RibbonSWORD : OfficeRibbon
    {
        public RibbonSWORD()
        {
            InitializeComponent();
        }

        private void RibbonSWORD_Load(object sender, RibbonUIEventArgs e)
        {

        }

        private void buttonSwordDeposit_Click(object sender, RibbonControlEventArgs e)
        {
            Document doc = ThisAddIn.WordApplication.ActiveDocument;

            // File must be saved.
            // TODO If there are changes since it was last saved, we should ask the user to confirm
            doc.Save();

            DepositForm deposit = new DepositForm(this.editBoxSwordEndpoint.Text, doc.FullName);
            deposit.ShowDialog();
        }
    }
}
